<?
require_once('include/global.php');
require_once('include/admin_lib.php');
#require_once('sadmin_conf.inc.php');


// check
	if (!$_GET['m_no'])
		msg('올바른	URL로 접근하여 주십시오');

	$q_where = " AND m_usertype='A' ";
	if ($_GET['isadmin'])
	{
		auth_limit('admin');
		$_GET['d_no'] = $G['DINFO']['d_no'];
		$q_where .= " AND d_no='" . $_GET['d_no'] . "'";
	} else
	{
		auth_limit('serveradmin');
	}	// if()

// data
	to_db_str(&$_POST['m_memo'], $G_SYS['DB_TEXT']);


	// 앨리어스 주소 추가
		$q = "UPDATE " . $TB['MEMBER'] . " SET m_cfg_from_addr='".$_POST['m_cfg_from_addr']."', m_memo='".$_POST['m_memo']."' WHERE m_no='".$_GET['m_no']."' ".$q_where;
		db_query($q);


// end
	//msg("수정되었습니다.", 0);
	if ($_GET['is_window_close'])
	{
		?>
			<script language="JavaScript">
			<!--
				window.close();
			//-->
			</script>
		<?
	} else if ($_POST['back_url'])
	{
		movepage($_POST['back_url']);
	} else
	{
		movepage('admin_alias_list.php?'.get_qs('m_no', 'd_no'));
	}	// if()

require_once('include/global_end.php');
?>